Bug 1016257 - Delete modal dialog misplacing buttons on the products page
Delete modal dialog misplacing buttons on the products page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
All All
low Severity low (vote)
: Unspecified
: --
Assigned To: Walden Raines
Sachin Ghai
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 14:50 EDT by Walden Raines
Modified: 2014-07-02 10:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:14:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of issue (26.70 KB, image/png)
2013-10-07 14:52 EDT, Walden Raines
no flags Details
modal dialog showing repository, task buttons (50.23 KB, image/png)
2014-04-28 01:54 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Walden Raines 2013-10-07 14:50:47 EDT
Description of problem:

See https://github.com/Katello/katello/issues/3077

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to product page
2. Click delete
3. Notice misplaced buttons

Actual results:
 Buttons  are stacked when modal is open

Expected results:
 Buttons should be inline when modal is open

Additional info:
Comment 1 Walden Raines 2013-10-07 14:52:07 EDT
Created attachment 808977 [details]
Screenshot of issue
Comment 3 Walden Raines 2013-10-07 15:15:19 EDT
commit 2fece2393d57f0d59069b07a0e90d4b0fd09b632
Merge: 162b77a ab67832
Author: Walden Raines <walden@redhat.com>
Date:   Mon Oct 7 12:13:56 2013 -0700

    Merge pull request #3108 from waldenraines/bug-3077
    
    Bug #1016257 - fix ordering of modal dialog div, fixes #3077.

commit ab67832e4881e0177a30e804ad3bf26efe23b103
Author: Walden Raines <walden@redhat.com>
Date:   Mon Oct 7 14:45:08 2013 -0400

    Bug #1016257 - fix ordering of modal dialog div, fixes #3077.
Comment 6 Mike McCune 2013-10-17 17:06:13 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 7 Sachin Ghai 2014-04-28 01:53:11 EDT
Verified with:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.5.0.20-1.el6sat.noarch
* foreman-compute-1.5.0.20-1.el6sat.noarch
* foreman-libvirt-1.5.0.20-1.el6sat.noarch
* foreman-ovirt-1.5.0.20-1.el6sat.noarch
* foreman-postgresql-1.5.0.20-1.el6sat.noarch
* foreman-proxy-1.5.6-1.el6sat.noarch
* foreman-selinux-1.5.0-0.develop.el6sat.noarch
* katello-1.5.0-19.el6sat.noarch
* katello-apache-1.0-1.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.34-1.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
* pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
* pulp-server-2.3.1-0.4.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
* rubygem-hammer_cli-0.1.0-7.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-17.el6sat.noarch

Modal dialog under products page doesn't misplace button.
Comment 8 Sachin Ghai 2014-04-28 01:54:18 EDT
Created attachment 890341 [details]
modal dialog showing repository, task buttons
Comment 9 Bryan Kearney 2014-07-02 10:08:53 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 10 Bryan Kearney 2014-07-02 10:10:24 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0
Comment 11 Bryan Kearney 2014-07-02 10:14:54 EDT
This was delivered in the Satellite 6 Beta (6.0.3)

Note You need to log in before you can comment on or make changes to this bug.